Skip to main content
PATCH
/
v1
/
reviews
/
{id}
Update
curl --request PATCH \
  --url https://{defaultHost}/v1/reviews/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "review": {
    "title": "Updated title"
  }
}
'
import requests

url = "https://{defaultHost}/v1/reviews/{id}"

payload = { "review": { "title": "Updated title" } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({review: {title: 'Updated title'}})
};

fetch('https://{defaultHost}/v1/reviews/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "fba6002c-ef2d-495d-9118-05c385fd9e5a",
  "object": "review",
  "body": "Really enjoyed using this.",
  "status": "in_review",
  "title": "Updated title",
  "stars": 4.5,
  "verified": false,
  "customer": "b142b09b-06ca-49df-857f-7f596ebaa0ae",
  "product": "6e3fa2df-4eda-44a2-8089-5009572f09aa",
  "purchase": null,
  "created_at": 1782485897,
  "updated_at": 1782485897
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/json
review
object

Response

200 - application/json

Success

id
string | null

The UUID of the specific object.

object
string

A string describing the object type returned.

title
string | null

The title of the review.

body
string | null

The content/body of the review.

stars
number<float> | null

The numerical rating provided in the review. Can be a decimal from 1.0 to 5.0.

status
string | null

The status of the review (e.g. in_review, published, unpublished).

verified
boolean

Indicates whether the reviewer has purchased the product (based on presence of a purchase).

customer

Expandable – The associated customer ID.

product

Expandable – The associated product ID.

purchase

Expandable – The associated purchase ID.

review_medias

Expandable – Property not returned unless expanded.

discarded_at
integer | null

Time at which the object was discarded. Measured in seconds since the Unix epoch.

created_at
integer | null

Time at which the object was created. Measured in seconds since the Unix epoch.

updated_at
integer | null

Time at which the object was last updated. Measured in seconds since the Unix epoch.